Bug 200556 - libutempter is "replacing" packages too widly
libutempter is "replacing" packages too widly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: utempter (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 13:13 EDT by Michal Jaegermann
Modified: 2014-06-18 05:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-07-28 13:13:18 EDT
Description of problem:

When in bug #199600 I was complainig that something similar to this

 libutempter             i386       1.1.4-3.fc6      development        21 k
     replacing  utempter.x86_64 0.5.5-7.2.2

 libutempter             x86_64     1.1.4-3.fc6      development        21 k
     replacing  utempter.x86_64 0.5.5-7.2.2

i.e. x86_64 is getting replaced twice with one "replacement" beeing
of a different architecture, then I was told that this was
a packaging bug (in 'dbus-glib' at that time).

So I gather that the above is a packaging bug for 'libutempter'
although I am not sure what is precisely the problem.

Version-Release number of selected component (if applicable):
libutempter-1.1.4-3.fc6

There is no 'libutempter' bugzilla component at the moment.
Comment 1 Mike A. Harris 2007-10-14 01:11:08 EDT
I don't see how this would be a packaging bug.  rpm/yum shouldn't try to replace
a 32bit package with a 64bit one, nor vice versa.  The rpm spec file, etc. has
nothing to do with that really.
Comment 2 Michal Jaegermann 2007-10-14 13:12:39 EDT
> I don't see how this would be a packaging bug.

AFAICS yum guys on similar occasions insist, or at least insisted,
that it is.  The issue showed up a number of times under different
disguises.  I do not know if it was explicitly clarified in the meantime.
Comment 5 Adam Jackson 2007-10-17 09:50:44 EDT
This looks a lot like the yum multilib heuristics going crazy.  Blaming yum for now.
Comment 6 Seth Vidal 2007-10-17 09:57:17 EDT
rpm has no arch specification for obsoletes so:

Obsoletes: foo <= 1.1-1 

will obsolete foo.i386 and foo.x86_64 when you run:
rpm -Uvh

this is a packaging bug.
Comment 7 Mike A. Harris 2007-10-29 14:02:32 EDT
Wow, how totally uninteresting...
Comment 8 Bug Zapper 2008-04-03 13:53:23 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:42:50 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.